Sign inGet started

Add participant to conversation

POST
/workspaces/{workspaceId}/conversations/{conversationId}/participants
Add a participant to the conversation if it hasn't already been added
Payload della richiesta
Create a participant of the user or flow type.
id
string
obbligatorio
ID of the flow or user.
type
string
obbligatorio
Participant type.
Possible values: user, flow
status
string
Participant status in the conversation. Defaults to active.
Possible values: pending, invited, active
Payload della risposta
avatarUrl
string
contact
object
Mostra attributi secondari
contact.identifierKey
string
obbligatorio
contact.identifierValue
string
obbligatorio
contact.platformAddress
string
contact.platformAddressSelector
string
conversationId
string
createdAt
string
displayName
string
id
string
obbligatorio
resourceUri
string
status
string
Possible values: invited, pending, active, inactive
type
string
obbligatorio
Possible values: user, contact, agent, flow, bot, accessKey, channel, connector, collaborationAutomation
updatedAt
string
Esempio di codice
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/conversations/{conversationId}/participants' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'

Examples

Esempio di codice
curl -X POST "https://api.bird.com/workspaces/a1405560-c8d3-4b1a-877d-3f449ad95352/conversations/c9c60caa-eaf5-4628-9687-91de4d452bfa/participants" \
-H "Content-Type: application/json" \
-H "Authorization: AccessKey abcd" \
-d '{
  "type": "contact",
  "contact": {
    "identifierKey": "emailaddress",
    "identifierValue": "john.doe@bird.com"
  }
}'